import { SlateDocumentFragment } from '@udecode/slate-plugins-common';
import { SlatePlugin, SPEditor, WithOverride } from '@udecode/slate-plugins-core';
import { ReactEditor } from 'slate-react';
export interface WithDeserializeHTMLOptions {
    plugins?: SlatePlugin[];
    /**
     * Function called before inserting the deserialized html.
     * Default: if the block above is empty and the first fragment node type is not inline,
     * set the selected node type to the first fragment node type.
     */
    preInsert?: (fragment: SlateDocumentFragment) => SlateDocumentFragment;
    /**
     * Function called to insert the deserialized html.
     * Default: {@link Transforms.insertFragment}.
     */
    insert?: (fragment: SlateDocumentFragment) => void;
}
/**
 * Enables support for deserializing inserted content from HTML format to Slate format.
 */
export declare const withDeserializeHTML: ({ plugins, ...options }?: WithDeserializeHTMLOptions) => WithOverride<ReactEditor & SPEditor>;
/**
 * @see {@link withDeserializeHTML}
 */
export declare const useDeserializeHTMLPlugin: (options?: WithDeserializeHTMLOptions | undefined) => SlatePlugin;
//# sourceMappingURL=useDeserializeHTMLPlugin.d.ts.map